Skip to main content
POST
/
api
/
v1
/
accounts
/
banks
/
payin
/
quote
Get a pooled bank payin quote
curl --request POST \
  --url https://api.hevn.finance/api/v1/accounts/banks/payin/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 1,
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "quoteId": "<string>",
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentRail": "<string>",
  "fromAmount": "<string>",
  "fromCurrency": "<string>",
  "toAmount": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "provider": "swipelux",
  "toCurrency": "USDC",
  "feeAmount": "<string>",
  "feeCurrency": "<string>",
  "rate": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json

Request a Swipelux payin quote for a pooled bank rail.

amount
required
Required range: x > 0
bankAccountId
string<uuid>
required
memo
string | null
Maximum string length: 500

Response

Successful Response

Swipelux payin quote response normalized for bank payins.

quoteId
string
required
bankAccountId
string<uuid>
required
rail
enum<string>
required

Bank account route: provider rail + bank id ({rail}-{bank}).

Available options:
uaefts_named-zand,
ach_pooled-hsbc,
ach_named-citi,
ach_named-jpmorgan_chase,
ach_named-cfsb,
fedwire_pooled-hsbc,
fedwire_pooled-jpmorgan_chase,
fedwire_pooled-cfsb,
fedwire_named-hsbc,
fedwire_named-citi,
fedwire_named-jpmorgan_chase,
fedwire_named-cfsb,
sepa_pooled-zen,
sepa_named-zen,
swift_pooled-hsbc,
swift_named-hsbc
paymentRail
string
required
fromAmount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
fromCurrency
string
required
toAmount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
expiresAt
string<date-time>
required
provider
enum<string>
default:swipelux

Supported fiat payment providers.

Available options:
swipelux,
align,
mcp,
wirex
toCurrency
string
default:USDC
feeAmount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
feeCurrency
string | null
rate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$